<?php
/**
 * Footer credits and menu
 *
 * @package Rikke
 */


/**
 * Footer menu
 */
function rikke_footer_menu() {
	?>
		<nav id="footer-navigation" class="footer-navigation" role="navigation">
			<?php wp_nav_menu( array( 'theme_location' => 'footer', 'menu_id' => 'footer-menu', 'depth' => 1 ) ); ?>
		</nav>
	<?php
}
add_action('rikke_footer', 'rikke_footer_menu', 7);

/**
 * Go to top button
 */
function rikke_go_to_top() {
	echo '<a class="go-top"><i class="rikke-icon dslc-icon-ei-arrow_triangle-up"></i></a>';
}
add_action('rikke_footer', 'rikke_go_to_top', 8);

/**
 * Footer credits
 */
function rikke_footer_credits() {
	?>
		<div class="site-info">
			<a href="<?php echo esc_url( __( 'https://wordpress.org/', 'rikke' ) ); ?>"><?php printf( esc_html__( 'Powered by %s', 'rikke' ), 'WordPress' ); ?></a>
			<span class="sep"> | </span>
			<?php printf( esc_html__( 'Theme: %s', 'rikke' ), '<a href="http://theme.blue/themes/rikke" rel="designer">Rikke</a>' ); ?>
		</div>
	<?php
}
add_action('rikke_footer', 'rikke_footer_credits', 9);